List newly extracted devices (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /admin/report/new-devices

Lists devices whose first successful extraction falls in the month of date (through the month of endDate when sent), optionally only for organization orgId, with the organization's name, email, billing customer id and plan, the device type, the case name and whether conversations were uploaded. Super admin only.

application/json

Body Required

object object

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • data array[string] Required
      • total number Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /admin/report/new-devices
curl \
 --request POST 'http://api.example.com/admin/report/new-devices' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json"
Request examples
{}
Response examples (200)
{
  "data": {
    "data": [
      "string"
    ],
    "total": 18
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}